import request from '@/utils/request'

export function add(data) {
  return request({
    url: 'api/pick',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/pick/',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/pick',
    method: 'put',
    data
  })
}

export function queryPickDetail(pickId) {
  return request({
    url: 'api/pick/queryPickDetail?pickId=' + pickId,
    method: 'get'
  })
}

export default {add, edit, del, queryPickDetail}
